#!/bin/bash

set -x

# To meet uploading requirements.
apt install rsync

d=gadict
mkdir -p /srv/www/$d
chown user:user /srv/www/$d

cat <<EOF >/etc/apache2/sites-available/$d.conf
<VirtualHost $d.defun.work:*>
    DocumentRoot /srv/www/$d
    ServerName $d.defun.work

    <Directory "/srv/www/$d/">
        Require all granted
    </Directory>
    <Directory "/srv/www/$d/download/">
        Options Indexes
    </Directory>
</VirtualHost>

<IfModule mod_ssl.c>
  <VirtualHost $d.defun.work:443>
	DocumentRoot /srv/www/$d
    ServerName $d.defun.work

    <Directory "/srv/www/$d/">
        Require all granted
    </Directory>
    <Directory "/srv/www/$d/download/">
        Options Indexes
    </Directory>

    SSLCertificateFile /etc/letsencrypt/live/defun.work/fullchain.pem
    SSLCertificateKeyFile /etc/letsencrypt/live/defun.work/privkey.pem
    Include /etc/letsencrypt/options-ssl-apache.conf
  </VirtualHost>
</IfModule>
EOF

a2ensite $d
service apache2 reload
